package cn.ysk.cashier.mybatis.entity;

import java.util.Date;

import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.io.Serializable;

/**
 * 活动商品赠送表(TbActivateInRecord)表实体类
 *
 * @author ww
 * @since 2024-08-22 14:50:16
 */
@SuppressWarnings("serial")
public class TbActivateInRecord extends Model<TbActivateInRecord> {

    private Integer id;
    //会员id
    private Integer vipUserId;
    //商品id
    private Integer proId;
    //赠送数量
    private Integer num;
    //未使用数量
    private Integer overNum;
    //店铺id
    private Integer shopId;
    //来源活动id
    private Integer sourceActId;

    private Integer sourceFlowId;

    private Date createTime;

    private Date updateTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getVipUserId() {
        return vipUserId;
    }

    public void setVipUserId(Integer vipUserId) {
        this.vipUserId = vipUserId;
    }

    public Integer getProId() {
        return proId;
    }

    public void setProId(Integer proId) {
        this.proId = proId;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Integer getOverNum() {
        return overNum;
    }

    public void setOverNum(Integer overNum) {
        this.overNum = overNum;
    }

    public Integer getShopId() {
        return shopId;
    }

    public void setShopId(Integer shopId) {
        this.shopId = shopId;
    }

    public Integer getSourceActId() {
        return sourceActId;
    }

    public void setSourceActId(Integer sourceActId) {
        this.sourceActId = sourceActId;
    }

    public Integer getSourceFlowId() {
        return sourceFlowId;
    }

    public void setSourceFlowId(Integer sourceFlowId) {
        this.sourceFlowId = sourceFlowId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}

